.main-menu {
  position: fixed;
  z-index: 10;
  width: 100%;
  height: 100%;

  &.modal .dialog-content {
    top: 36px;
    left: unset;
    right: 0;
    transform: translateX(-5%);
    width: 91vw;
    height: 165vw;
    max-height: 684px;
    max-width: 377px;
  }

  .dialog-content {
    > svg {
      position: absolute;
      width: 100%;
    }

    .menu-content {
      display: flex;
      flex-direction: column;
      height: 100%;
      justify-content: flex-end;
    }

    .language-switcher {
      position: absolute;
      top: 22px;
      left: 110px;
      display: flex;
      align-items: center;
      z-index: 1;
    }

    .user-wrapper {
      flex: 2;
      display: flex;
      justify-content: center;
      align-items: center;
      position: relative;

      &::after {
        content: "";
        display: block;
        flex: 1;
      }
    }

    .anonymous-wrapper,
    .signed-in-wrapper {
      flex: 1 1 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      padding-left: var(--spacing-bigger);
      padding-right: 78px;
      font-family: var(--secondary-font);

      p {
        margin: var(--spacing) 0;
        font-size: var(--secondary-font-size-small);
      }

      ul {
        display: flex;
      }

      li:not(:last-of-type) {
        margin-right: var(--spacing);
      }
    }

    .signed-in-wrapper {
      padding-right: 86px;
      margin-top: 22px;
    }

    .others {
      flex: 1;
      position: relative;
      display: flex;
      flex-direction: column;
      margin-bottom: var(--spacing-big);

      li:not(:last-of-type) {
        margin-bottom: var(--spacing-medium);
      }

      [app-button] {
        margin: auto;
        width: 220px;

        @media screen and (min-width: 411px) {
          width: 250px;
        }
      }
    }

    .theme-buttons {
      display: flex;
      justify-content: center;
      align-items: center;
      position: relative;
      margin-bottom: 108px;

      li {
        &:not(:last-of-type) {
          margin-right: var(--spacing-medium);
        }
      }
    }

    // [app-button] {
    //   width: 188px;
    // }
  }
}
